# FunnyAPI

**FunnyAPI** — это библиотека на Python для генерации случайных шуток и забавных фактов. Она создана для того, чтобы добавить немного веселья в ваши проекты и поднять настроение!

## Установка

Установить FunnyAPI можно через [PyPI](https://pypi.org/project/funnyapi/):

```bash
pip install funnyapi

Возможности
🎭 Случайные шутки: Получайте случайные шутки на тему программирования.
📚 Случайные забавные факты: Узнавайте интересные и неожиданные факты.
🔄 Поток шуток: Настройте периодический вывод шуток через определённый интервал времени.
Примеры использования
Ниже приведены примеры использования основных функций библиотеки.

Получение случайной шутки
python
Копировать код
from funnyapi import generate_joke

joke = generate_joke()
print("Случайная шутка:", joke)
Получение случайного забавного факта
python
Копировать код
from funnyapi import generate_funny_fact

fact = generate_funny_fact()
print("Забавный факт:", fact)
Запуск потока шуток
Эта функция позволяет выводить случайные шутки каждые N секунд в течение определённого времени.

python
Копировать код
from funnyapi import start_joke_stream

# Вывод шутки каждые 5 секунд в течение 15 секунд
start_joke_stream(interval=5, duration=15)
API функций
generate_joke()
Возвращает одну случайную шутку.

Пример:

python
Копировать код
joke = generate_joke()
print(joke)
generate_funny_fact()
Возвращает один случайный забавный факт.

Пример:

python
Копировать код
fact = generate_funny_fact()
print(fact)
start_joke_stream(interval, duration)
Запускает поток шуток, выводя случайную шутку через каждые interval секунд в течение duration секунд.

Параметры:
interval (int): Интервал времени в секундах между выводом шуток.
duration (int): Общая продолжительность работы потока в секундах.
Пример:

python
Копировать код
# Запуск потока, который выводит шутку каждые 3 секунды в течение 10 секунд
start_joke_stream(interval=3, duration=10)
Примеры шуток и фактов
Вот несколько примеров шуток и фактов, которые вы можете увидеть при использовании библиотеки:

Примеры шуток
"Почему программисты так любят осень? Потому что там есть 'сентябрь' и 'октябрь'."
"Какой любимый напиток у программистов? Java!"
"Почему программисты не ходят в лес? Потому что там слишком много 'веток'."
Примеры забавных фактов
"Мед никогда не портится. В древнеегипетских гробницах находили мед, которому больше 3000 лет, и он всё ещё съедобен!"
"Бананы — это ягоды, а вот клубника — нет!"
"У группы фламинго есть особое название — их называют 'фламбояс'!"
Требования
Для работы FunnyAPI требуется Python 3.6 или выше.

Участие в разработке
Если у вас есть идеи для новых функций или вы хотите улучшить библиотеку, буду рад вашему участию! Просто сделайте форк репозитория и отправьте pull request.

Лицензия
Этот проект лицензируется на условиях лицензии MIT. Полный текст лицензии можно найти в файле LICENSE.

markdown
Копировать код

### Инструкции
1. Создай файл `README.md` в корне проекта.
2. Скопируй и вставь текст выше в этот файл.
3. Сохрани файл.

Теперь у тебя есть качественный `README.md` с применённым форматированием, готовый для исп